# Generated by Django 3.0.6 on 2020-05-26 02:36

import blog.models
from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0004_post_image'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hashtag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, unique=True, verbose_name='عنوان')),
                ('slug', models.SlugField(allow_unicode=True, verbose_name='اسلاگ')),
                ('allow_to_show', models.BooleanField(default=False, verbose_name='آیا نمایش داده شود؟')),
            ],
            options={
                'verbose_name': 'برچسب',
                'verbose_name_plural': 'برچسب ها',
            },
        ),
        migrations.AlterModelOptions(
            name='post',
            options={'verbose_name': 'مطلب', 'verbose_name_plural': 'مطالب'},
        ),
        migrations.AlterField(
            model_name='post',
            name='abstract',
            field=models.CharField(max_length=150, verbose_name='خلاصه'),
        ),
        migrations.AlterField(
            model_name='post',
            name='body',
            field=models.TextField(verbose_name='متن'),
        ),
        migrations.AlterField(
            model_name='post',
            name='create',
            field=models.DateTimeField(auto_now_add=True, verbose_name='تاریخ به وجود آمدن'),
        ),
        migrations.AlterField(
            model_name='post',
            name='image',
            field=models.ImageField(upload_to=blog.models.set_image_path, verbose_name='تصویر'),
        ),
        migrations.AlterField(
            model_name='post',
            name='publish',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='تاریخ انتشار'),
        ),
        migrations.AlterField(
            model_name='post',
            name='slug',
            field=models.SlugField(allow_unicode=True, max_length=40, verbose_name='اسلاگ'),
        ),
        migrations.AlterField(
            model_name='post',
            name='status',
            field=models.CharField(choices=[('d', 'پیش نویس'), ('p', 'منتشر شده')], max_length=1, verbose_name='وضعیت'),
        ),
        migrations.AlterField(
            model_name='post',
            name='title',
            field=models.CharField(max_length=30, unique=True, verbose_name='عنوان'),
        ),
        migrations.AlterField(
            model_name='post',
            name='update',
            field=models.DateTimeField(auto_now=True, verbose_name='تاریخ اصلاح'),
        ),
        migrations.AddField(
            model_name='post',
            name='hashtag',
            field=models.ManyToManyField(to='blog.Hashtag', verbose_name='برچسب(ها)'),
        ),
    ]
